function [ echoes_loc,echo_indeces,RTT_indeces,RTT_vals,variance,discarded_mes ] = find_echos_and_RTT( us_data,variance_limit,st_noise,ref )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
    kalman_window = 30;
    max_deviation = 200;
    RTT_vals = [];
    RTT_indeces = [];
    bm = [];
    variance = [];
    echo_indeces = [];
    mes_nr = size(us_data,1);
    discarded_mes = [];
    echoes_loc = cell(mes_nr,1);
    for i=1:mes_nr
        [e_index,~] = echo_detection(us_data(i,:),-1,-1,st_noise);
        echoes_loc{i} = e_index;
        %bm = [bm;noise_bit];
        variance = [variance;var(us_data(i,:))];
        if variance(i) < variance_limit || isempty(e_index)
            %disp('noisy')
            discarded_mes = [discarded_mes;i];
            continue
        end
        [~,main_echo_ind] = max(e_index(:,1));
        echo_indeces = [echo_indeces;e_index(main_echo_ind,2) i];
        [s_val,s_ind] = find_echo_start(us_data(i,:),e_index(main_echo_ind,2));
%         if size(RTT_indeces,1) > kalman_window
%             if abs(s_ind - mean(RTT_indeces(end-kalman_window:end,1))) > max_deviation 
%                 discarded_mes = [discarded_mes;i];
%                 disp('discarded by kalman')
%                 continue
%             end
%         end
        RTT_vals = [RTT_vals;s_val i];
        RTT_indeces = [RTT_indeces;s_ind i];
        if mod(i,1000) == 0
            i
        end
%     figure(100)
%     plot(us_data(i,:))
%     hold on
%     plot(s_ind,s_val,'r+')
%     hold on
%     plot(main_echo_ind,0,'ro')
%     pause(0.1)
%     hold off
    end
end

