function [ temp_echo_indeces ] = locate_echoes_from_envelope( envelope,th1,th2 )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
    env_l = length(envelope(:,1));
    temp_echo_indeces = [];
    pr_lV = 0;
    lV_counter = 0;
    % ======== PARAMETERS =========
    lV_window = 5;
    m_window = 30;
    % =============================
    for i=(1+lV_window)+1:env_l-1-lV_window
        if envelope(i,1) < th2 
            lV_counter = 1; 
            for l=i+1:i+lV_window
                if envelope(l,1) > th2
                    break
                else
                  lV_counter = lV_counter +1;
                end   
            end
        end
        if lV_counter >= lV_window-1
            pr_lV = envelope(i,2); 
        end
        if envelope(i,1) > th1
            if isempty(temp_echo_indeces)
                if i+m_window < env_l
                    [maxVal,rel_Ind] = max(envelope(i:i+m_window,1));
                    maxInd = i+rel_Ind;
                   temp_echo_indeces = [temp_echo_indeces;maxVal envelope(maxInd,2)];
                end
 
            else
                ind_l = size(temp_echo_indeces(:,1),1);
                if pr_lV > temp_echo_indeces(ind_l,2) && pr_lV < envelope(i,2)
                    if i+m_window < env_l
                        [maxVal,rel_Ind] = max(envelope(i:i+m_window,1));
                        maxInd = i+rel_Ind;
                        temp_echo_indeces = [temp_echo_indeces;maxVal envelope(maxInd,2)]; 
                    end
                end
            end
        end
    end
end

