function [normalized_measurements] = normalize(measurements)
    %Removes the mean value of the measurement 
    normalized_measurements = zeros(size(measurements));
    for i=1:length(measurements(:,1))
        offset = mean(measurements(i,:));
        for j=1:length(measurements(i,:))
            normalized_measurements(i,j) = measurements(i,j)-offset;
        end
    end
% Don't include normalizing between -1 and 1 since we are interested in signal strength in echo 1. 
%     %Normalizing between -1 and 1.
%     for i=1:length(measurements(:,1))
%         maximum_value = max(abs(measurements(i,:)));
%         for j=1:length(measurements(i,:))
%             measurements(i,j) = measurements(i,j)/maximum_value;
%         end
%     end
%     normalized_measurements = measurements;
end
    
        