%clear all
close all
%filename_us = 'New data\Floater constant level\6 pulses\Adb_16v_6p_mrk1_floater_us_signal.txt';
%filename_trig = 'New data\Floater constant level\6 pulses\Adb_16v_6p_mrk1_floater_us_trig.txt';

% filename_us = 'New data\Attenuation\Adb_attenuation_30v_3p_t1_us_trig.txt';
% filename_trig = 'New data\Attenuation\Adb_attenuation_30v_3p_t1_us_trig.txt';

% filename_us = 'New data\New filter\test_old_filter_sohoel_trans_us_signal.txt';
% filename_trig = 'New data\New filter\test_old_filter_sohoel_trans_us_trig.txt';

%============================== VIBDATA ===================================

% filename_us = 'New data\Vibration\vib_test_10Hz_15hz_40Hz_5Hz_24_03_us_signal2.txt';
% filename_trig = 'New data\Vibration\vib_test_10Hz_15hz_40Hz_5Hz_24_03_us_trig2.txt';

% filename_us = 'New data\Vibration\vib_test_10Hz_15hz_40Hz_5Hz_us_signal.txt';
% filename_trig = 'New data\Vibration\vib_test_10Hz_15hz_40Hz_5Hz_us_trig.txt';

filename_us = 'New data\Vibration\prior_vib_test_10Hz_15hz_40Hz_5Hz_24_03_us_signal.txt';
filename_trig = 'New data\Vibration\prior_vib_test_10Hz_15hz_40Hz_5Hz_24_03_us_trig.txt';
% 
measurements = dlmread(filename_us);
trig = dlmread(filename_trig);
% Remove startup noise 
st_noise_l = 1;
c_measurements = measurements(:,st_noise_l:end);

nr_of_measurements = size(c_measurements,1);

%============================ ONE TYPE OF TRIGGER =========================

% samples = size(measurements,2);
% figure(101)
% for i=1:nr_of_measurements
%     subplot(2,1,1)
%     plot(c_measurements(i,:))
%     %axis([1 samples -0.5 3.5])
%     axis([2000 4000 0 3])
%     subplot(2,1,2)
%     plot(trig(i,:))
%     axis([1 100 0 2])
%     pause(0.5)
%     i
% end

% %=========================== EXTRA FOR VIB SETS ===========================
% %sort data for vib trig
m_1MHz_30_70 = zeros(floor(size(c_measurements,1)/3),size(c_measurements,2));
m_1MHz_50_50 = zeros(floor(size(c_measurements,1)/3),size(c_measurements,2));
m_580kHz_50_50 = zeros(floor(size(c_measurements,1)/3),size(c_measurements,2));

mode = 1;
index_1MHz_50_50 = 1;
index_1MHz_30_70 = 1;
index_580kHz = 1;
% 
% %Inspect which mode belongs to which trig
figure(102)
plot(trig(1,:))
hold on
plot(trig(2,:),'r')
hold on
plot(trig(3,:),'g')
% %uncommet to stop
k = 0;
for i=1:nr_of_measurements
    if trig(i,8)> 0.2 && trig(i,8) < 1 || trig(i,9)> 0.2 && trig(i,9) < 1
        m_1MHz_50_50(index_1MHz_50_50,:) = c_measurements(i,:);
        index_1MHz_50_50 = index_1MHz_50_50+1;
        mode = 0; 
    elseif trig(i,5) > 0.2 && trig(i,5) < 1 || trig(i,6) > 0.2 && trig(i,6) < 1
        m_1MHz_30_70(index_1MHz_30_70,:) = c_measurements(i,:);
        index_1MHz_30_70 = index_1MHz_30_70+1;
        
    elseif trig(i,13) > 0.2 && trig(i,13) < 1  || trig(i,12) > 0.2 && trig(i,12) < 1
        m_580kHz_50_50(index_580kHz,:) = c_measurements(i,:);
        index_580kHz = index_580kHz +1;
    else
        display('No suitable trig found')
        k = k+1;
        figure(105)
        plot(trig(i,:))
        %error('no trig found');
    end
    %mode = mode+1;
    if mod(i,1000) == 0
        i
        
    end
end
% 
av_measurements_1MHz_50_50 = average_measurement2(m_1MHz_50_50,5);
av_measurements_1MHz_30_70 = average_measurement2(m_1MHz_30_70,5);
av_measurements_580kHz = average_measurement2(m_580kHz_50_50,5);
 
figure(101)
for i=1:floor(nr_of_measurements/3)
    subplot(4,1,1)
    plot(av_measurements_1MHz_50_50(i,:))
    %axis([2000 4000 1.4 2])
    
    subplot(4,1,2)
    plot(av_measurements_1MHz_30_70(i,:))
    %axis([2000 4000 1.4 2])
    
    subplot(4,1,3)
    plot(av_measurements_580kHz(i,:))
    %axis([2000 4000 1 3])
    
    subplot(4,1,4)
    plot(trig(i,:))
    axis([1 100 0 2])
    pause(0.01)
    i
end